<?php

namespace Drupal\smallads\Plugin\migrate\process;

use Drupal\migrate\MigrateExecutableInterface;
use Drupal\migrate\ProcessPluginBase;
use Drupal\migrate\Row;

/**
 * Process the smallad body field
 *
 * @MigrateProcessPlugin(
 *   id = "smallad_body"
 * )
 */
class Body extends ProcessPluginBase {

  /**
   * {@inheritdoc}
   */
  public function transform($value, MigrateExecutableInterface $migrate_executable, Row $row, $destination_property) {
    // Because the body has moved from field API to a basefield, Drupal core is confused.
    // This plugin should work with the d7_smallad source query to populate the body
    // Except it seems to be overriden by field API
    // So instead it is fixed in the destination Drupal\smallads\Plugin\migrate\destination\EntitySmallad::import()
    return [
      'value' => $row->getGetSourceProperty('body_value'),
      'format' => $row->getGetSourceProperty('body_format')
    ];
  }

}
