<?php

namespace Drupal\smallads\Plugin\migrate\process;

use Drupal\migrate\MigrateExecutableInterface;
use Drupal\migrate\ProcessPluginBase;
use Drupal\migrate\Row;

/**
 * @MigrateProcessPlugin(
 *   id = "smallad_categories"
 * )
 */
class Categories extends ProcessPluginBase {

  /**
   * {@inheritdoc}
   */
  public function transform($value, MigrateExecutableInterface $migrate_executable, Row $row, $destination_property) {
    $items = [];
    // Incoming value from source is a comma separated list
    foreach (explode(',', $value) as $tid) {
      $items[] = ['target_id' => $tid];
    }
    return $items;
  }

}
